aboutsummaryrefslogtreecommitdiffstats
path: root/make/scripts
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2010-04-28 05:55:38 +0200
committerSven Gothel <[email protected]>2010-04-28 05:55:38 +0200
commite5720ee629fba06bc266265b42eb559150f7d7a3 (patch)
tree767e3da76d48ed46879c1b78a186d1b5d44ca2e2 /make/scripts
parenta08c3c054a6b9cfe892d2516c66362083dc72290 (diff)
Integrate deployment scripts. jar: copy-repack200-sign-pack200. jnlp: copy-filter
Diffstat (limited to 'make/scripts')
-rwxr-xr-xmake/scripts/all-deploy-webstarttest.sh23
-rwxr-xr-xmake/scripts/deploy-jars-pack200.sh (renamed from make/scripts/deploy-jars-webstarttest_pack200.sh)14
-rwxr-xr-xmake/scripts/deploy-jars-repack200.sh30
-rwxr-xr-xmake/scripts/deploy-jars-sign.sh47
-rwxr-xr-xmake/scripts/deploy-jars-webstarttest.sh12
-rwxr-xr-xmake/scripts/deploy-jnlp-webstarttest-filter.sh6
6 files changed, 104 insertions, 28 deletions
diff --git a/make/scripts/all-deploy-webstarttest.sh b/make/scripts/all-deploy-webstarttest.sh
index e3ee24a6d..e947c3f3d 100755
--- a/make/scripts/all-deploy-webstarttest.sh
+++ b/make/scripts/all-deploy-webstarttest.sh
@@ -33,6 +33,25 @@ if [ ! -e $wsdir ] ; then
fi
sh scripts/deploy-jars-webstarttest.sh $joglbuilddir $wsdir
-# sh scripts/deploy-jars-webstarttest_pack200.sh $wsdir
+#
+# repack it .. so the signed jars can be pack200'ed
+# sh scripts/deploy-jars-repack200.sh $wsdir
+#
+# sign it
+# sh scripts/deploy-jars-sign.sh $wsdir KEY_STORE_FILE STORE_PASSWORD SOME_ARGUMENT
+#
+# pack200
+# sh scripts/deploy-jars-pack200.sh $wsdir
+#
sh scripts/deploy-jnlp-webstarttest.sh $url $joglbuilddir $wsdir
-sh scripts/deploy-jnlp-webstarttest-filter.sh $wsdir
+#
+# In case you don't sign it ..
+#
+# sh scripts/deploy-jnlp-webstarttest-filter.sh $wsdir
+#
+# Add to HOME/.java.policy
+#
+# grant codeBase "file:////usr/local/projects/JOGL/webstart/-" {
+# permission java.security.AllPermission;
+# };
+
diff --git a/make/scripts/deploy-jars-webstarttest_pack200.sh b/make/scripts/deploy-jars-pack200.sh
index fd9e215a9..471e8ab7b 100755
--- a/make/scripts/deploy-jars-webstarttest_pack200.sh
+++ b/make/scripts/deploy-jars-pack200.sh
@@ -18,26 +18,16 @@ THISDIR=`pwd`
cd $wsdir
mkdir -p DLLS
-mv *linux*.jar DLLS/
-mv *windows*.jar DLLS/
-mv *macosx*.jar DLLS/
-
-mkdir -p JAVAS
-mv *.jar JAVAS
-
-cd JAVAS
+mv *natives*.jar DLLS/
for i in *.jar ; do
echo pack200 -E9 $i.pack.gz $i
pack200 -E9 $i.pack.gz $i
done
-cd $wsdir
-
-mv JAVAS/* .
mv DLLS/* .
-rm -rf JAVAS DLLS
+rm -rf DLLS
cd $THISDIR
diff --git a/make/scripts/deploy-jars-repack200.sh b/make/scripts/deploy-jars-repack200.sh
new file mode 100755
index 000000000..1169d63c3
--- /dev/null
+++ b/make/scripts/deploy-jars-repack200.sh
@@ -0,0 +1,30 @@
+#! /bin/sh
+
+wsdir=$1
+shift
+
+if [ -z "$wsdir" ] ; then
+ echo usage $0 webstartdir
+ exit 1
+fi
+
+if [ ! -e $wsdir ] ; then
+ echo $wsdir does not exist
+ exit 1
+fi
+
+THISDIR=`pwd`
+
+cd $wsdir
+
+rm -rf orig-jars
+mkdir -p orig-jars
+
+for i in *.jar ; do
+ cp -a $i orig-jars
+ echo pack200 --repack $i
+ pack200 --repack $i
+done
+
+cd $THISDIR
+
diff --git a/make/scripts/deploy-jars-sign.sh b/make/scripts/deploy-jars-sign.sh
new file mode 100755
index 000000000..1a4421aa9
--- /dev/null
+++ b/make/scripts/deploy-jars-sign.sh
@@ -0,0 +1,47 @@
+#! /bin/sh
+
+wsdir=$1
+shift
+
+keystore=$1
+shift
+
+storepass=$1
+shift
+
+signarg=$1
+shift
+
+if [ -z "$wsdir" -o -z "$keystore" -o -z "$storepass" ] ; then
+ echo "usage $0 webstartdir pkcs12-keystore storepass [signarg]"
+ exit 1
+fi
+
+if [ ! -e $wsdir ] ; then
+ echo $wsdir does not exist
+ exit 1
+fi
+
+if [ ! -e $keystore ] ; then
+ echo $keystore does not exist
+ exit 1
+fi
+
+THISDIR=`pwd`
+
+cd $wsdir
+
+rm -rf demo-jars
+mkdir -p demo-jars
+mv jogl.test.jar jogl-demos*jar demo-jars/
+
+for i in *.jar ; do
+ echo jarsigner -storetype pkcs12 -keystore $keystore $i \"$signarg\"
+ jarsigner -storetype pkcs12 -keystore $THISDIR/$keystore -storepass $storepass $i "$signarg"
+done
+
+mv demo-jars/* .
+rm -rf demo-jars
+
+cd $THISDIR
+
diff --git a/make/scripts/deploy-jars-webstarttest.sh b/make/scripts/deploy-jars-webstarttest.sh
index 60a59b2a4..8a98f5d3f 100755
--- a/make/scripts/deploy-jars-webstarttest.sh
+++ b/make/scripts/deploy-jars-webstarttest.sh
@@ -45,16 +45,6 @@ if [ ! -e $jnlpdir_demos ] ; then
exit 1
fi
-cp -v $gluegenroot/$builddirbase/*.jar $wsdir
-#cp -v $gluegenroot/$builddirbase/obj/lib*.so $wsdir
-
-cp -v $joglbuilddir/nativewindow/*.jar $wsdir
-cp -v $joglbuilddir/jogl/*.jar $wsdir
-cp -v $joglbuilddir/newt/*.jar $wsdir
-
-#cp -v $joglbuilddir/nativewindow/obj/lib*.so $wsdir
-#cp -v $joglbuilddir/jogl/obj/lib*.so $wsdir
-#cp -v $joglbuilddir/newt/obj/lib*.so $wsdir
-
+cp -v $joglbuilddir/jar/*.jar $wsdir
cp -v $demosroot/$builddirbase/*.jar $wsdir
diff --git a/make/scripts/deploy-jnlp-webstarttest-filter.sh b/make/scripts/deploy-jnlp-webstarttest-filter.sh
index e95be29cb..58191bcb7 100755
--- a/make/scripts/deploy-jnlp-webstarttest-filter.sh
+++ b/make/scripts/deploy-jnlp-webstarttest-filter.sh
@@ -15,11 +15,11 @@ fi
cd $wsdir
-rm -rf orig
-mkdir orig
+rm -rf orig-jnlp
+mkdir orig-jnlp
for i in *.jnlp ; do
- mv $i orig
+ mv $i orig-jnlp
sed -e 's/<security>//g' -e 's/<\/security>//g' -e 's/<all-permissions\/>//g' orig/$i > $i
done